Subject: Possible bug: can anyone reproduce this?

From: Trey Jackson <[email-masked]>
Date: 14 Feb 1997 17:50:24 -0800

***The following has also been posted.***

I'm using Emacs 19.34 on Win95.
Folding mode RCS version: 2.7 
(ftp://ftp.csd.uu.se/pub/users/andersl/beta/folding.el)

I don't know how folding mode actually hides code, so I am unable to
reproduce the problem w/out folding mode.

The problem is (and this does *not* occur on my UNIX 19.34 Emacs).

If I kill a region that contains a fold that is closed (hidden text),
the killed text does *not* contain newlines.  The result is that when
I yank the text back - the text is all on one line.

For example,

If the fold was (actual text prefixed by |):

|{{{ fold
|
|that was the beginning of the fold
|and the end is near
|
|}}}

And I hid the fold, so that it looked like:

|{{{ fold...

If I then killed the line C-k (with the point at col 0)
And immediately pasted C-y, I would get:

|{{{ foldthat was the beginning of the foldand the end is near}}}

I reproduced this by starting 'emacs -q'
and only loading folding.el

The same sequence of keystrokes reproduces the fold as it should
on my Linux system.

any ideas?

TJ

-- 
Trey Jackson
[email-masked]

"Move away from the building, it is on fire."
-- Berkeley cop